Get Resource By Id 1

Get Resource By Id 1
Fetch resource associated with a deployment.

Returns the resource with the specified ID that is correlated with the supplied deployment.

Request
URI
GET
https://{vcfa-fqdn}/deployment/api/deployments/{deploymentId}/resources/{resourceId}
COPY
Path Parameters
string
deploymentId
Required  

Deployment ID

string
resourceId
Required  

Resource ID

Query Parameters
string of array
expand
Optional

The expanded details of the requested comma separated objects. Ex. currentRequest


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns DeploymentResource of type(s) application/json
{
    "createdAt": "string",
    "currentRequest": {
        "actionId": "string",
        "approvedAt": "string",
        "blueprintId": "string",
        "cancelable": false,
        "catalogItemId": "string",
        "completedAt": "string",
        "completedTasks": 0,
        "createdAt": "string",
        "deploymentId": "string",
        "details": "string",
        "dismissed": false,
        "estimatedCompletionTime": "string",
        "id": "string",
        "initializedAt": "string",
        "inputs": {
            "inputs": {}
        },
        "name": "string",
        "outputs": {
            "outputs": {}
        },
        "requestedBy": "string",
        "resourceIds": [
            "string"
        ],
        "resources": [
            {
                "description": "string",
                "id": "string",
                "name": "string",
                "version": "string"
            }
        ],
        "status": "string",
        "totalTasks": 0,
        "updatedAt": "string"
    },
    "dependsOn": [
        "string"
    ],
    "description": "string",
    "expense": {
        "additionalExpense": "number",
        "code": "string",
        "computeExpense": "number",
        "lastUpdatedTime": "string",
        "message": "string",
        "networkExpense": "number",
        "storageExpense": "number",
        "totalExpense": "number",
        "unit": "string"
    },
    "id": "string",
    "inprogressRequests": {},
    "name": "string",
    "origin": "string",
    "properties": {
        "properties": {}
    },
    "state": "string",
    "syncStatus": "string",
    "type": "string"
}
string As date-time As date-time
createdAt
Read-Only  

Creation time

object
currentRequest
Optional

Represents deployment requests.

array of string
dependsOn
Optional

A list of other resources this resource depends on

string
description
Optional

A description of the resource

object
expense
Read-Only  

Expense associated with the deployment.

string As uuid As uuid
id
Optional

Unique identifier of the resource

object
inprogressRequests
Read-Only  

inprogressRequests

string
name
Required  

Name of the resource

string
origin
Read-Only  

Origin of the resource

Enumeration: DISCOVERED, DEPLOYED, ONBOARDED, MIGRATED, SIMULATED, CCS, DISCOVERED, ONBOARDED, MIGRATED
object
properties
Optional

properties

string
state
Read-Only  

The current state of the resource

Enumeration: PARTIAL, TAINTED, OK
string
syncStatus
Read-Only  

The current sync status

Enumeration: SUCCESS, MISSING, STALE
string
type
Required  

Type of the resource


401

Unauthorized

Returns DeploymentResource of type(s) application/json
{
    "createdAt": "string",
    "currentRequest": {
        "actionId": "string",
        "approvedAt": "string",
        "blueprintId": "string",
        "cancelable": false,
        "catalogItemId": "string",
        "completedAt": "string",
        "completedTasks": 0,
        "createdAt": "string",
        "deploymentId": "string",
        "details": "string",
        "dismissed": false,
        "estimatedCompletionTime": "string",
        "id": "string",
        "initializedAt": "string",
        "inputs": {
            "inputs": {}
        },
        "name": "string",
        "outputs": {
            "outputs": {}
        },
        "requestedBy": "string",
        "resourceIds": [
            "string"
        ],
        "resources": [
            {
                "description": "string",
                "id": "string",
                "name": "string",
                "version": "string"
            }
        ],
        "status": "string",
        "totalTasks": 0,
        "updatedAt": "string"
    },
    "dependsOn": [
        "string"
    ],
    "description": "string",
    "expense": {
        "additionalExpense": "number",
        "code": "string",
        "computeExpense": "number",
        "lastUpdatedTime": "string",
        "message": "string",
        "networkExpense": "number",
        "storageExpense": "number",
        "totalExpense": "number",
        "unit": "string"
    },
    "id": "string",
    "inprogressRequests": {},
    "name": "string",
    "origin": "string",
    "properties": {
        "properties": {}
    },
    "state": "string",
    "syncStatus": "string",
    "type": "string"
}
string As date-time As date-time
createdAt
Read-Only  

Creation time

object
currentRequest
Optional

Represents deployment requests.

array of string
dependsOn
Optional

A list of other resources this resource depends on

string
description
Optional

A description of the resource

object
expense
Read-Only  

Expense associated with the deployment.

string As uuid As uuid
id
Optional

Unique identifier of the resource

object
inprogressRequests
Read-Only  

inprogressRequests

string
name
Required  

Name of the resource

string
origin
Read-Only  

Origin of the resource

Enumeration: DISCOVERED, DEPLOYED, ONBOARDED, MIGRATED, SIMULATED, CCS, DISCOVERED, ONBOARDED, MIGRATED
object
properties
Optional

properties

string
state
Read-Only  

The current state of the resource

Enumeration: PARTIAL, TAINTED, OK
string
syncStatus
Read-Only  

The current sync status

Enumeration: SUCCESS, MISSING, STALE
string
type
Required  

Type of the resource


404

Not Found

Returns DeploymentResource of type(s) application/json
"DeploymentResource Object"
string As date-time As date-time
createdAt
Read-Only  

Creation time

object
currentRequest
Optional

Represents deployment requests.

array of string
dependsOn
Optional

A list of other resources this resource depends on

string
description
Optional

A description of the resource

object
expense
Read-Only  

Expense associated with the deployment.

string As uuid As uuid
id
Optional

Unique identifier of the resource

object
inprogressRequests
Read-Only  

inprogressRequests

string
name
Required  

Name of the resource

string
origin
Read-Only  

Origin of the resource

Enumeration: DISCOVERED, DEPLOYED, ONBOARDED, MIGRATED, SIMULATED, CCS, DISCOVERED, ONBOARDED, MIGRATED
object
properties
Optional

properties

string
state
Read-Only  

The current state of the resource

Enumeration: PARTIAL, TAINTED, OK
string
syncStatus
Read-Only  

The current sync status

Enumeration: SUCCESS, MISSING, STALE
string
type
Required  

Type of the resource


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/deployment/api/deployments/{deploymentId}/resources/{resourceId}